Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.rtf.rtflib.rtfdoc
Interface ITableColumnsInfo

All Known Implementing Classes:
  TableContext

    public interface ITableColumnsInfo

Used to get information about tables, for example when handling nested tables.

This work was authored by Bertrand Delacretaz (bdelacretaz@codeconsult.ch).

Field Summary
`static float` | `INVALID_COLUMN_WIDTH` value for invalid column width

Method Summary
`int` | `getColumnIndex()`
`float` | `getColumnWidth()` get current column width according to column iteration index
`boolean` | `getFirstSpanningCol()`
`int` | `getNumberOfColumns()`
`void` | `selectFirstColumn()` reset the column iteration index, meant to be called when creating a new row
`void` | `selectNextColumn()` increment the column iteration index

Field Detail

### INVALID_COLUMN_WIDTH

    static final float INVALID_COLUMN_WIDTH

  value for invalid column width

  See Also:
    Constant Field Values

Method Detail

### selectFirstColumn

    void selectFirstColumn()

  reset the column iteration index, meant to be called when creating a new row

### selectNextColumn

    void selectNextColumn()

  increment the column iteration index

### getColumnWidth

    float getColumnWidth()

  get current column width according to column iteration index

  Returns:
    INVALID_COLUMN_WIDTH if we cannot find the value

### getColumnIndex

    int getColumnIndex()

  Returns:
    current column iteration index

### getNumberOfColumns

    int getNumberOfColumns()

  Returns:
    number of columns

### getFirstSpanningCol

    boolean getFirstSpanningCol()

  Returns:
    true, if it's the first of multiple spanning columns

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.